Bug 256380 - net-im/py-matrix-synapse: Update to 1.35.1
Summary: net-im/py-matrix-synapse: Update to 1.35.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/matrix-org/synapse...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-02 16:57 UTC by Sascha Biberhofer
Modified: 2021-06-04 09:28 UTC (History)
2 users (show)

See Also:


Attachments
net-im/py-matrix-synapse: update to 1.35.0 (2.35 KB, patch)
2021-06-02 16:57 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff
net-im/py-matrix-synapse: Update to 1.35.1 (2.35 KB, patch)
2021-06-03 13:59 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2021-06-02 16:57:46 UTC
Created attachment 225501 [details]
net-im/py-matrix-synapse: update to 1.35.0

This patch updates py-matrix-synapse to 1.35.0. Aside from the usual mix of features and bugfixes, this release introduces stable support for spaces. From a ports perspective the package requires a new dependency on devel/py-ijson. I've also regenerated the dependency patch to encode the dependnecy on py-cryptography instead of removing it completely (similarly to what was merged to the quarterly branch).

portlint: "OK" (4 Warnings)
testport: OK (poudriere: 130amd64)
do-test: OK (Ran 1635 tests in 743.395s, PASSED (skips=36, successes=1599))

The resulting package has been running in production for the past 24h and works perfectly fine from what I can tell. :)

Cheers,
Sascha
Comment 1 Sascha Biberhofer 2021-06-03 13:59:13 UTC
Created attachment 225528 [details]
net-im/py-matrix-synapse: Update to 1.35.1

A minor version bump has been released, which fixes a bug introduced in v1.35.0 where invite-only rooms would be shown to all users in a space, regardless of if the user had access to it.


Resulting package run just as fine. :)
Comment 2 commit-hook freebsd_committer 2021-06-04 09:16:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=aa0c36b1aad1f978d2f7c2398bf9b546612bcdb5

commit aa0c36b1aad1f978d2f7c2398bf9b546612bcdb5
Author:     Sascha Biberhofer <ports@skyforge.at>
AuthorDate: 2021-06-04 09:05:32 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-06-04 09:15:03 +0000

    net-im/py-matrix-synapse: Update to 1.35.1

    ChangeLog: https://github.com/matrix-org/synapse/releases/tag/v1.35.0

    PR:             256380
    Approved by:    dbaio, garga (mentors, implicit)

 net-im/py-matrix-synapse/Makefile                                   | 3 ++-
 net-im/py-matrix-synapse/distinfo                                   | 6 +++---
 .../py-matrix-synapse/files/patch-synapse_python__dependencies.py   | 6 +++---
 3 files changed, 8 insertions(+), 7 deletions(-)
Comment 3 Nuno Teixeira freebsd_committer 2021-06-04 09:28:29 UTC
Committed thanks!